%define install_dir /opt/mattermost

Name:		mattermost
Version:	3.4.0
Release:	2%{?dist}
Summary:	Mattermost is an open source, self-hosted Slack-alternative
Group:		System Environment/Daemons
License:	MIT
URL:		https://mattermost.com
Source0:	https://releases.mattermost.com/%{version}/mattermost-team-%{version}-linux-amd64.tar.gz

BuildArch:	x86_64

%description
As an alternative to proprietary SaaS messaging, Mattermost brings all your team
communication into one place, making it searchable and accessible anywhere. It’s
written in Golang and React and runs as a production-ready Linux binary under an
MIT license with either MySQL or Postgres.

Mattermost is:

 - Slack-compatible, not Slack-limited – Mattermost features rival Slack 
   features, and support a superset of Slack’s incoming and outgoing webhook 
   integrations, including compatibility with existing Slack integrations. From
   your existing Slack teams, you can import users, public channel history and 
   even theme setting colors into Mattermost.
 - Mobile and desktop apps, in addition to web – Use Mattermost from your iOS or
   Android phones and tablets or with installed apps on Windows, Linux and Mac.
 - Easy to deploy, manage, and upgrade – Mattermost runs as Linux binary, Docker
   image, and many other forms. Try Mattermost with a one-line Docker install, 
   and many install guides are available. Improvements ship monthly.
 - Supported by a vibrant community – Use Mattermost with dozens of community
   integrations and applications, including Jira, IRC, XMPP, Hubot, Giphy, 
   Jenkins, GitLab, Trac, Redmine, SVN, RSS/Atom and many others. Build and 
   share your own apps using Mattermost APIs and drivers.

This package contains the pre-compiled binaries of Mattermost Team Edition Server for Linux amd64

%prep
%setup -q -n %{name}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{install_dir}
cp -r * %{buildroot}%{install_dir}
mkdir %{buildroot}%{install_dir}/data


%files
%license MIT-COMPILED-LICENSE.md
%doc README.md NOTICE.txt
%config(noreplace) %{install_dir}/config/config.json
%{install_dir}/


%changelog
* Thu Sep 22 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.4.0-2
- Changed config to noreplace

* Thu Sep 22 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.4.0-1
- Version bump

* Tue Aug 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 3.3.0-1
- Version bump

* Mon Aug 01 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 3.2.0
- Version bump

* Fri Jul 15 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 3.1.0-1
 - Initial build for Rutgers CentOS 7

